## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celEnvFluid Class Reference

A class implementing a fluid in a sector. More...

`#include <propclass/mechenv.h>`

List of all members.

## Public Attributes

float | density
| The density of the fluid in this sector.
csVector3 | flow
| The velocity of fluid flow in this sector.

## Detailed Description

A class implementing a fluid in a sector.

Definition at line 77 of file mechenv.h.

## Member Data Documentation

float celEnvFluid::density

| The density of the fluid in this sector. Definition at line 83 of file mechenv.h.

csVector3 celEnvFluid::flow

| The velocity of fluid flow in this sector. Definition at line 87 of file mechenv.h.

The documentation for this class was generated from the following file:

- propclass/mechenv.h